This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 542166 - Review Request: patricia-trie - Java prefix tree library
Review Request: patricia-trie - Java prefix tree library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-28 11:31 EST by Lubomir Rintel
Modified: 2010-02-15 06:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-15 06:40:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmahut: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-11-28 11:31:04 EST
SPEC: http://v3.sk/~lkundrak/SPECS/patricia-trie.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/patricia-trie-0.2-1.20091116svn.fc12.src.rpm

Description:

Patricia is a prefix-tree (trie) implementation written in Java.
Comment 1 Mohamed El Morabity 2009-12-15 10:04:12 EST
Hi,

I'm not (yet) a packager, anyway I'd like to make an informal review of your
package.

* You should not rely explicitely on OpenJDK in your BuildRequires; use instead:
     Buildrequires:   java-devel >= 1:1.6.0
  as suggested in https://fedoraproject.org/wiki/Packaging/Java#BuildRequires_and_Requires
  Don't forget by the way to add a Java runtime by using:
     Requires: java >= 1:1.6.0
  Did you tried to build your package with gcj by the way?

* You should maybe in your javadoc subpackage add a Requires on "%{name} = %{version}-%{release}" also, as recommended here: https://fedoraproject.org/wiki/Packaging/Java#ant_2

Except these two points, your package seems OK. I rebuild your SRPM, it works fine and rpmlint doesn't complains :-)
Comment 2 Lubomir Rintel 2009-12-24 15:29:53 EST
(In reply to comment #1)
> Hi,
> 
> I'm not (yet) a packager, anyway I'd like to make an informal review of your
> package.
> 
> * You should not rely explicitely on OpenJDK in your BuildRequires; use
> instead:
>      Buildrequires:   java-devel >= 1:1.6.0
>   as suggested in
> https://fedoraproject.org/wiki/Packaging/Java#BuildRequires_and_Requires
>   Don't forget by the way to add a Java runtime by using:
>      Requires: java >= 1:1.6.0

Given the java packages don't follow uniform versioning, requiring a version with epoch will only drag in OpenJDK anyway. I'm requiring the unversioned OpenJDK so that the package works on other RPM-based platforms (openSUSE). In fact Fedora OpenJDK's generic provides should probably be fixed to provide epoch-less versions (despite the package itself providing the epoch).

>   Did you tried to build your package with gcj by the way?

Yup. Did not work, did not bother to find out why, just switched to OpenJDK.

> 
> * You should maybe in your javadoc subpackage add a Requires on "%{name} =
> %{version}-%{release}" also, as recommended here:
> https://fedoraproject.org/wiki/Packaging/Java#ant_2

Good point, will do once the official review is done.

> Except these two points, your package seems OK. I rebuild your SRPM, it works
> fine and rpmlint doesn't complains :-)  

Thank you.
Comment 3 Marek Mahut 2009-12-29 06:37:29 EST
Thank you Mohamed for the review, it looks fine.
Comment 4 Lubomir Rintel 2010-02-14 12:12:07 EST
New Package CVS Request
=======================
Package Name: patricia-trie
Short Description: Java prefix tree library
Owners: lkundrak
Branches: F-11 F-12 EL-5
Comment 5 Huzaifa S. Sidhpurwala 2010-02-15 06:23:40 EST
cvs done
Comment 6 Lubomir Rintel 2010-02-15 06:40:03 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.